com.fasterxml.jackson.databind.node

## Interface JsonNodeCreator

All Known Implementing Classes:
  ArrayNode, ContainerNode, JsonNodeFactory, ObjectNode

    public interface JsonNodeCreator

Interface that defines common "creator" functionality implemented both by `JsonNodeFactory` and `ContainerNode` (that is, JSON Object and Array nodes).

Since:
  2.3

### Method Summary

Methods
`ArrayNode` `arrayNode()`
`ValueNode` `binaryNode(byte[] data)`
`ValueNode` `binaryNode(byte[] data, int offset, int length)`
`ValueNode` `booleanNode(boolean v)`
`ValueNode` `nullNode()`
`ValueNode` `numberNode(BigDecimal v)`
`ValueNode` `numberNode(BigInteger v)`
`ValueNode` `numberNode(byte v)`
`ValueNode` `numberNode(Byte value)`
`ValueNode` `numberNode(double v)`
`ValueNode` `numberNode(Double value)`
`ValueNode` `numberNode(float v)`
`ValueNode` `numberNode(Float value)`
`ValueNode` `numberNode(int v)`
`ValueNode` `numberNode(Integer value)`
`ValueNode` `numberNode(long v)`
`ValueNode` `numberNode(Long value)`
`ValueNode` `numberNode(short v)`
`ValueNode` `numberNode(Short value)`
`ObjectNode` `objectNode()`
`ValueNode` `pojoNode(Object pojo)`
`ValueNode` `textNode(String text)`

### Method Detail

#### booleanNode

    ValueNode booleanNode(boolean v)

#### nullNode

    ValueNode nullNode()

#### numberNode

    ValueNode numberNode(byte v)

#### numberNode

    ValueNode numberNode(Byte value)

#### numberNode

    ValueNode numberNode(short v)

#### numberNode

    ValueNode numberNode(Short value)

#### numberNode

    ValueNode numberNode(int v)

#### numberNode

    ValueNode numberNode(Integer value)

#### numberNode

    ValueNode numberNode(long v)

#### numberNode

    ValueNode numberNode(Long value)

#### numberNode

    ValueNode numberNode(BigInteger v)

#### numberNode

    ValueNode numberNode(float v)

#### numberNode

    ValueNode numberNode(Float value)

#### numberNode

    ValueNode numberNode(double v)

#### numberNode

    ValueNode numberNode(Double value)

#### numberNode

    ValueNode numberNode(BigDecimal v)

#### textNode

    ValueNode textNode(String text)

#### binaryNode

    ValueNode binaryNode(byte[] data)

#### binaryNode

    ValueNode binaryNode(byte[] data,
                       int offset,
                       int length)

#### pojoNode

    ValueNode pojoNode(Object pojo)

#### arrayNode

    ArrayNode arrayNode()

#### objectNode

    ObjectNode objectNode()